OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Attributes | List of all members
cnanovdb_treedata Struct Reference

`#include <nanovdb/CNanoVDB.h>`

## Public Attributes
uint64_t | mNodeOffset [3+1]
uint32_t | mNodeCount [3]
uint32_t | mTileCount [3]
uint64_t | mVoxelCount
uint8_t | _reserved [(-(4 *sizeof(uint64_t)+(3+3) *sizeof(uint32_t)+sizeof(uint64_t)) &((32) -1))]

## Member Data Documentation

## ◆ _reserved

uint8_t _reserved[(-(4 *sizeof(uint64_t)+(3+3) *sizeof(uint32_t)+sizeof(uint64_t)) &(( 32) -1))]

## ◆ mNodeCount

uint32_t mNodeCount[3]

## ◆ mNodeOffset

uint64_t mNodeOffset[3+1]

## ◆ mTileCount

uint32_t mTileCount[3]

## ◆ mVoxelCount

uint64_t mVoxelCount